import { HttpHeaders } from '@angular/common/http';
export interface ApiConfiguration {
    host?: string;
    localStorageKey?: string;
    tokenHeaderKey?: string;
    setCustomHeader?(headers: HttpHeaders): HttpHeaders;
    beforeRemote?(context: {
        method: 'POST' | 'GET' | 'DELETE';
        url: string;
        headers: HttpHeaders;
        body?: any;
    }): void;
    afterRemote?(context: {
        method: 'POST' | 'GET' | 'DELETE';
        url: string;
        headers: HttpHeaders;
        body?: any;
        statusCode: number;
        result?: any;
    }): void;
}
